class CreateSpeaches < ActiveRecord::Migration
  def change
    create_table :speaches do |t|
      t.integer :balloon_id, :null => false
      t.integer :speach_template_id, :null => false
      t.string :content
      t.integer :x, :null => false
      t.integer :y, :null => false
      t.integer :t, :null => false, :default => 1
      t.integer :width, :null => false
      t.integer :height, :null => false

      t.timestamps
    end
    add_index :speaches, [:balloon_id]
    add_index :speaches, [:balloon_id, :t], :unique => true, :name => 'speaches_bt'
  end
end
