require "spec_helper"

describe SpeachTemplatesController do
  describe "routing" do

    it "routes to #index" do
      get("/speach_templates").should route_to("speach_templates#index")
    end

    it "routes to #new" do
      get("/speach_templates/new").should route_to("speach_templates#new")
    end

    it "routes to #show" do
      get("/speach_templates/1").should route_to("speach_templates#show", :id => "1")
    end

    it "routes to #edit" do
      get("/speach_templates/1/edit").should route_to("speach_templates#edit", :id => "1")
    end

    it "routes to #create" do
      post("/speach_templates").should route_to("speach_templates#create")
    end

    it "routes to #update" do
      put("/speach_templates/1").should route_to("speach_templates#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/speach_templates/1").should route_to("speach_templates#destroy", :id => "1")
    end

  end
end
