require "spec_helper"

describe SystemPicturesController do
  describe "routing" do

    it "routes to #index" do
      get("/system_pictures").should route_to("system_pictures#index")
    end

    it "routes to #new" do
      get("/system_pictures/new").should route_to("system_pictures#new")
    end

    it "routes to #show" do
      get("/system_pictures/1").should route_to("system_pictures#show", :id => "1")
    end

    it "routes to #edit" do
      get("/system_pictures/1/edit").should route_to("system_pictures#edit", :id => "1")
    end

    it "routes to #create" do
      post("/system_pictures").should route_to("system_pictures#create")
    end

    it "routes to #update" do
      put("/system_pictures/1").should route_to("system_pictures#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/system_pictures/1").should route_to("system_pictures#destroy", :id => "1")
    end

  end
end
